#
# spec file for package elementary-xfce-icon-theme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define name0 elementary-xfce
Name:           elementary-xfce-icon-theme
Version:        0.13.1~git12.5a5d511b
Release:        1.1
Summary:        Icon theme inspired by Tango and Elementary
License:        GPL-2.0-only
Group:          System/GUI/Other
URL:            https://github.com/shimmerproject/elementary-xfce
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gtk3-tools
BuildRequires:  hicolor-icon-theme
Requires:       adwaita-icon-theme
Requires:       gtk3-tools
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description
This is an icon-theme maintained with Xfce in mind,
but it supports other desktops like Gnome3 as well.
It's a fork of the upstream elementary-project,
which took place because the team decided to
drop a lot of desktop-specific symlinks.

%prep
%autosetup
# cleanup unecessary doc files
rm %{name0}-darker/{CONTRIBUTORS,AUTHORS,README.md}
rm %{name0}-dark/{CONTRIBUTORS,AUTHORS,README.md}
rm %{name0}/{CONTRIBUTORS,AUTHORS,README.md}

%build
# Nothing to build

%install
mkdir -p  %{buildroot}%{_datadir}/icons
cp -a %{name0}  %{buildroot}%{_datadir}/icons
cp -a %{name0}-dark  %{buildroot}%{_datadir}/icons
cp -a %{name0}-darker  %{buildroot}%{_datadir}/icons
chmod 0644  %{buildroot}%{_datadir}/icons/%{name0}/index.theme
chmod 0644  %{buildroot}%{_datadir}/icons/%{name0}-dark/index.theme
chmod 0644  %{buildroot}%{_datadir}/icons/%{name0}-darker/index.theme

# fix duplicate files
%fdupes -s %{buildroot}/%{_datadir}/icons/

%files
%doc AUTHORS CONTRIBUTORS README.md
%license LICENSE
%{_datadir}/icons/elementary-xfce/
%{_datadir}/icons/elementary-xfce-dark/
%{_datadir}/icons/elementary-xfce-darker/

%changelog
* Sat Feb  9 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git12.5a5d511b:
  * added blueberry tray icons
* Mon Jan 28 2019 maurizio.galli@gmail.com
- Update to version 0.13.1~git11.25ff77b0:
  * Ensure we're inheriting Adwaita (gh#shimmerproject/elementary-xfce#139)
  * Respect the CC variable, if defined.
  * Avoid race condition when using parallelization.
  * Add symlinks for media-flash-sd
* Thu Dec 20 2018 maurizio.galli@gmail.com
- Update to version 0.13.1~git6.c377da86:
  * Add yast specific package-* icons
- Renamed version
* Wed Nov 14 2018 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.13.1+20181113.14732d1b:
  * No longer inherit from the gnome icon theme
    (gh#shimmerproject/elementary-xfce#136)
- Added Requires adwaita-icon-theme and hicolor-icon-theme
* Tue Nov 13 2018 Jan Engelhardt <jengelh@inai.de>
- Remove conjecture and first-person grammar from description.
* Tue Nov 13 2018 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.13.1+20181112.4a4d7c9f:
  * Reorganize Authors, License and Contributors files
    (gh#shimmerproject/elementary-xfce#135)
  * Update bluetooth icon from upstream
  * More vacuuming
  * Update Network and Power settings from upstream
  * Update view-refresh from upstream
  * Add new network icons for dark panels
  * Add 22px wireless icons
  * Start transition to new wireless icon
  * More vacuuming
  * Recolor the remaining blue folder icons
    (gh#shimmerproject/elementary-xfce#127)
- removed patch as no longer needed (gh#shimmerproject/elementary-xfce#135)
- fixed spec file to remove duplicates
* Mon Nov 12 2018 Maurizio Galli <maurizio.galli@gmail.com>
- switched source to master branch
* Sun Nov 11 2018 Maurizio Galli <maurizio.galli@gmail.com>
- revert previous changes
- created patch to move doc files in the correct location in the source
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- fixed doc files and license file issues in source tar.gz in spec file
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- run spec-cleaner
* Sat Nov 10 2018 Maurizio Galli <maurizio.galli@gmail.com>
- initial build
